pieceStand.h File Reference
`#include "osl/basic_type.h"`
`#include "osl/container.h"`
`#include <iosfwd>`
`#include <cassert>`

Go to the source code of this file.

## Classes

class | osl::PieceStand
| 片方の手番の持駒の枚数を記録するクラス. More...
struct | osl::PieceStandIO

## Namespaces

namespace | osl

## Functions

bool | osl::operator== (PieceStand l, PieceStand r)
bool | osl::operator!= (PieceStand l, PieceStand r)
bool | osl::operator< (PieceStand l, PieceStand r)
std::ostream & | osl::operator<< (std::ostream &, PieceStand l)